Class Fox::FXToolbarShell

In: | FXToolbarShell.rb
Parent: | FXTopWindow

An FXToolbarShell is a widget floating around over the main window. It typically contains an undocked tool bar.

Methods

new

Attributes

baseColor | [RW] | Base GUI color [FXColor]
borderColor | [RW] | Border color [FXColor]
borderWidth | [R] | Border width [Integer]
frameStyle | [RW] | Frame style [Integer]
hiliteColor | [RW] | Highlight color [FXColor]
shadowColor | [RW] | Shadow color [FXColor]

Public Class methods

new(owner, opts=FRAME_RAISED|FRAME_THICK, x=0, y=0, width=0, height=0, hSpacing=4, vSpacing=4) {|theToolbarShell| ...}

Construct a toolbar shell